import 'dart:async';

import 'package:flutter/material.dart';

class CreateOrderProvider with ChangeNotifier {
  CreateOrderProvider();
  int start = 0;
  bool statusOTP = false;
  String operations = '';
  Timer timer;
  bool loading = false;
  int get getStart => start;
  bool get getStatusOTP => statusOTP;
  String get getOperations => operations;
  bool get getLoading => loading;

  void startTimer(
      {String phone,
      String amount,
      String bu,
      String billCode,
      String title}) async {
    start = 60;
    statusOTP = true;
    notifyListeners();
    const oneSec = const Duration(seconds: 1);
    timer = new Timer.periodic(
      oneSec,
      (Timer timer) {
        if (start == 0) {
          statusOTP = false;
          timer.cancel();
          notifyListeners();
        } else {
          start--;
          notifyListeners();
        }
      },
    );
  }

  setOperations({String value}) {
    operations = value;
    notifyListeners();
  }

  setLoading({bool value}) {
    loading = value;
    notifyListeners();
  }
}
